Analytics

Get public analytics

Fetch global public analytics for the platform with chart data. All integer money fields are in micro-USD (6 decimal places, i.e., 1 USD = 1,000,000 micro-USD).

GET
/analytics/public

Query Parameters

start_date?string

Start date (ISO 8601 or YYYY-MM-DD). Defaults to 7 days ago.

end_date?string

End date (ISO 8601 or YYYY-MM-DD). Defaults to today.

Response Body

application/json

curl -X GET "https://beta.aimo.network/api/v1/analytics/public"
{
  "total_requests": 0,
  "total_volume": 0,
  "total_volume_usd": 0,
  "total_active_providers": 0,
  "total_active_services": 0,
  "total_active_users": 0,
  "registered_users": 0,
  "wallet_users": 0,
  "total_tokens": 0,
  "total_prompt_tokens": 0,
  "total_completion_tokens": 0,
  "total_reasoning_tokens": 0,
  "requests_over_time": [
    {
      "date": "2025-11-28",
      "value": 0
    }
  ],
  "volume_over_time": [
    {
      "date": "2025-11-28",
      "value": 0
    }
  ],
  "providers_over_time": [
    {
      "date": "2025-11-28",
      "value": 0
    }
  ],
  "users_over_time": [
    {
      "date": "2025-11-28",
      "value": 0
    }
  ],
  "date_range": {
    "start_date": "string",
    "end_date": "string"
  }
}